-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class UmlClass

Declaration :

- C++ : class UmlClass : public UmlBaseClass
- Java : class UmlClass extends UmlBaseClass

This class manages 'classes', notes that the class 'ClassItem' is a mother class of the class's children.
You can modify it as you want (except the constructor)

Artifact : UmlClass

Operation UmlClass

Declaration :

- C++ : public: UmlClass(void * id, const QCString & n) : UmlBaseClass(id, n)
- Java : public UmlClass(long id, String n)

All public operations :

actuals , addFormal , apply , associatedArtifact , associatedComponent , associatedDiagram , baseType , children , childrenVisible , cppDecl , cppVisibility , create , defined_ , description , formals , get , identifier_ , idlDecl , isAbstract , isClassMember , isCppExternal , isIdlCustom , isIdlExternal , isIdlLocal , isJavaExternal , isJavaFinal , isJavaPublic , isMarked , isToolRunning , isVolatile , isWritable , javaDecl , kind , kind , markedItems , name , parent , properties , propertyValue , referencedBy , removeFormal , replaceActual , replaceFormal , set_AssociatedDiagram , set_BaseType , set_childrenVisible , set_CppDecl , set_CppVisibility , set_Description , set_IdlDecl , set_isAbstract , set_isClassMember , set_isCppExternal , set_isIdlCustom , set_isIdlExternal , set_isIdlLocal , set_isJavaExternal , set_isJavaFinal , set_isJavaPublic , set_isMarked , set_isVolatile , set_JavaDecl , set_Name , set_PropertyValue , set_Stereotype , set_SwitchType , set_Visibility , stereotype , supportFile , switchType , unload , unload , unload , visibility